# IceGrid::ServerNotExistException

## Overview

### exception ServerNotExistException

This exception is raised if a server does not exist.

#### Used By

Admin::enableServer
Admin::getServerAdmin
Admin::getServerInfo
Admin::getServerPid
Admin::getServerState
Admin::isServerEnabled
Admin::patchServer
Admin::sendSignal
Admin::startServer
Admin::stopServer
Admin::writeMessage
AdminSession::openServerLog
AdminSession::openServerStdErr
AdminSession::openServerStdOut

## Data Members

string id;

  The identifier of the server.